<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>LoadAndSaveCDRandNumbersPersistence.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">useCases</a> &gt; <span class="el_source">LoadAndSaveCDRandNumbersPersistence.java</span></div><h1>LoadAndSaveCDRandNumbersPersistence.java</h1><pre class="source lang-java linenums">package useCases;

import java.time.Period;
import java.util.List;

import constructors.PersistenceFactory;
import data.ICDRRepository;
import data.IPhoneNumberRepository;
import Entities.CDR;
import Entities.Phone_Number;
import Persistence.IDataPersistence;

public class LoadAndSaveCDRandNumbersPersistence implements ILoadAndSaveCDRandNumbersPersistence{
<span class="fc" id="L14">	PersistenceFactory factory = new PersistenceFactory();</span>
	IDataPersistence Persistence;
	ICDRRepository CDRRepository; 
	IPhoneNumberRepository PhoneNumberRepository;
<span class="fc" id="L18">	public LoadAndSaveCDRandNumbersPersistence(IDataPersistence persistence, ICDRRepository CDRRepository, IPhoneNumberRepository PhoneNumberRepository) {</span>
<span class="fc" id="L19">		 this.Persistence = persistence;</span>
<span class="fc" id="L20">		 this.CDRRepository = CDRRepository;</span>
<span class="fc" id="L21">		 this.PhoneNumberRepository = PhoneNumberRepository;</span>
<span class="fc" id="L22">	}</span>
	@Override
	
	public void SaveCDRPersistence(List&lt;CDR&gt; ListCDRsCalculated) {
<span class="fc" id="L26">		Persistence.saveDataCDRs(ListCDRsCalculated);</span>
<span class="fc" id="L27">	}</span>

	@Override
	public void LoadCDRPersistence() {
<span class="fc" id="L31">		CDRRepository.loadCDRs(Persistence.loadDataCDRs());</span>
<span class="fc" id="L32">	}</span>

	@Override
	public void LoadPhoneNumbersPersistence() {
<span class="fc" id="L36">		PhoneNumberRepository.loadPhonesNumbers(Persistence.loadDataPhoneNumbers());</span>
<span class="fc" id="L37">	}</span>
	@Override
	public void ChoosePersistence(String type) {
<span class="fc" id="L40">		this.Persistence = factory.changePersistence(type);		</span>
<span class="fc" id="L41">	}</span>
	@Override
	public void SavePhoneNumbersPersistence(List&lt;Phone_Number&gt; ListPhoneNumbers) {
<span class="fc" id="L44">		this.Persistence.saveDataPhoneNumbers(ListPhoneNumbers);</span>
<span class="fc" id="L45">	}</span>
	@Override
	public String GetTypePersistence() {
<span class="fc" id="L48">		return Persistence.getTypePersistence();</span>
	}

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>